Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005Clustering Class Reference

`#include <GT2005Clustering.h>`

Collaboration diagram for GT2005Clustering:

[legend]
List of all members.

## Public Member Functions
| GT2005Clustering ()
void | addLine (Vector2< int > start, Vector2< int > end, int length)
Vector2< double > | getMidpoint (int elementnr)
Vector2< double > | getMidpointX (int elementnr)
Vector2< double > | getMidpointY (int elementnr)
int | getSize ()
void | reset ()
GT2005Cluster | getClusterX (int elementnr)
GT2005Cluster | getClusterY (int elementnr)
## Private Member Functions
void | markV (double xminimum, double xmaximum, double yminimum, double ymaximum, int expansion)
void | Cluster1 (bool v)
void | markH (double xminimum, double xmaximum, double yminimum, double ymaximum, int expansion)
void | prepV (double xminimum)
void | prepH (double yminimum)
void | clusterFinal (bool vertical, double xminimum, double xmaximum, double yminimum, double ymaximum)
## Private Attributes
int | vhshort
int | vhmiddle
int | vhlong
int | yshort
int | ymiddle
int | ylong
int | hv
int | vh
int | lImage
int | hImage
GT2005Clusterliste | cl
double | xmin
double | xmax
double | ymin
double | ymax
bool | vertical
double | distance
std::list< std::list< GT2005Cluster >::iterator >::iterator | cfirst
std::list< std::list< GT2005Cluster >::iterator >::iterator | clast
std::list< std::list< GT2005Cluster >::iterator >::iterator | cinput
std::list< GT2005Cluster >::iterator | cIter
std::list< GT2005Cluster >::iterator | cIter2
std::list< std::list< GT2005Cluster >::iterator >::iterator | vhIter
std::list< std::list< GT2005Cluster >::iterator >::iterator | vhIter2
std::list< Vector2< double > > | hlist
std::list< Vector2< double > >::iterator | hiterator

## Constructor & Destructor Documentation

GT2005Clustering::GT2005Clustering | ( |  | ) |

| Definition at line 3 of file GT2005Clustering.cpp. References cl, hImage, hv, lImage, vh, vhlong, vhmiddle, vhshort, ylong, ymiddle, and yshort.

## Member Function Documentation

void GT2005Clustering::markV | ( | double | xminimum,
|  | double | xmaximum,
|  | double | yminimum,
|  | double | ymaximum,
|  | int | expansion
| ) | `[private]`

| Definition at line 254 of file GT2005Clustering.cpp. References GT2005Clusterliste::addCluster(), cfirst, cinput, cIter, cl, clast, clusterFinal(), vhIter, and vhIter2. Referenced by Cluster1().

Here is the call graph for this function:

void GT2005Clustering::Cluster1 | ( | bool | v | ) | `[private]`

| Definition at line 78 of file GT2005Clustering.cpp. References GT2005Clusterliste::addCluster(), cIter, cl, hv, markH(), markV(), prepH(), prepV(), vh, vhIter, vhIter2, vhlong, vhmiddle, vhshort, ylong, ymiddle, and yshort. Referenced by addLine().

Here is the call graph for this function:

void GT2005Clustering::markH | ( | double | xminimum,
|  | double | xmaximum,
|  | double | yminimum,
|  | double | ymaximum,
|  | int | expansion
| ) | `[private]`

| Definition at line 302 of file GT2005Clustering.cpp. References GT2005Clusterliste::addCluster(), cfirst, cinput, cIter, cl, clast, clusterFinal(), vhIter, and vhIter2. Referenced by Cluster1().

Here is the call graph for this function:

void GT2005Clustering::prepV | ( | double | xminimum | ) | `[private]`

| Definition at line 215 of file GT2005Clustering.cpp. References cIter, cl, GT2005Clusterliste::getVNaviBegin(), GT2005Clusterliste::getVNaviEnd(), vhIter, and vhIter2. Referenced by Cluster1().

Here is the call graph for this function:

void GT2005Clustering::prepH | ( | double | yminimum | ) | `[private]`

| Definition at line 235 of file GT2005Clustering.cpp. References cIter, cl, GT2005Clusterliste::getHNaviBegin(), GT2005Clusterliste::getHNaviEnd(), vhIter, and vhIter2. Referenced by Cluster1().

Here is the call graph for this function:

void GT2005Clustering::clusterFinal | ( | bool | vertical,
|  | double | xminimum,
|  | double | xmaximum,
|  | double | yminimum,
|  | double | ymaximum
| ) | `[private]`

| Definition at line 346 of file GT2005Clustering.cpp. References GT2005Clusterliste::addCluster(), cfirst, cinput, cIter, cl, clast, GT2005Clusterliste::getHNaviBegin(), GT2005Clusterliste::getVNaviBegin(), GT2005Clusterliste::removeCluster(), and vhIter. Referenced by markH(), and markV().

Here is the call graph for this function:

void GT2005Clustering::addLine | ( | Vector2< int > | start,
|  | Vector2< int > | end,
|  | int | length
| ) |

| Definition at line 27 of file GT2005Clustering.cpp. References GT2005Clusterliste::addCluster(), cl, Cluster1(), GT2005Clusterliste::getEmpty(), GT2005Clusterliste::getVNaviBegin(), vertical, vhIter, Vector2< V >::x, and Vector2< V >::y. Referenced by SlamImageProcessor::scan(), and GT2005ImageProcessor::scan().

Here is the call graph for this function:

Vector2< double > GT2005Clustering::getMidpoint | ( | int | elementnr | ) |

| Definition at line 438 of file GT2005Clustering.cpp. References cl, e, GT2005Clusterliste::getMidpoints(), hiterator, and hlist. Referenced by SlamImageProcessor::execute(), and GT2005ImageProcessor::execute().

Here is the call graph for this function:

Vector2< double > GT2005Clustering::getMidpointX | ( | int | elementnr | ) |

| Definition at line 451 of file GT2005Clustering.cpp. References cIter, cl, e, GT2005Clusterliste::getVNaviBegin(), and vhIter.

Here is the call graph for this function:

Vector2< double > GT2005Clustering::getMidpointY | ( | int | elementnr | ) |

| Definition at line 462 of file GT2005Clustering.cpp. References cIter, cl, e, GT2005Clusterliste::getHNaviBegin(), and vhIter.

Here is the call graph for this function:

int GT2005Clustering::getSize | ( |  | ) |

| Definition at line 430 of file GT2005Clustering.cpp. References cl, GT2005Clusterliste::getMidpoints(), and hlist. Referenced by SlamImageProcessor::execute(), and GT2005ImageProcessor::execute().

Here is the call graph for this function:

void GT2005Clustering::reset | ( |  | ) |

| Definition at line 495 of file GT2005Clustering.cpp. References cl, and GT2005Clusterliste::deleteAll(). Referenced by SlamImageProcessor::execute(), and GT2005ImageProcessor::execute().

Here is the call graph for this function:

GT2005Cluster GT2005Clustering::getClusterX | ( | int | elementnr | ) |

| Definition at line 473 of file GT2005Clustering.cpp. References cIter, cl, e, GT2005Clusterliste::getVNaviBegin(), and vhIter.

Here is the call graph for this function:

GT2005Cluster GT2005Clustering::getClusterY | ( | int | elementnr | ) |

| Definition at line 484 of file GT2005Clustering.cpp. References cIter, cl, e, GT2005Clusterliste::getHNaviBegin(), and vhIter.

Here is the call graph for this function:

## Member Data Documentation

int GT2005Clustering::vhshort`[private]`

| Definition at line 17 of file GT2005Clustering.h. Referenced by Cluster1(), and GT2005Clustering().

int GT2005Clustering::vhmiddle`[private]`

| Definition at line 18 of file GT2005Clustering.h. Referenced by Cluster1(), and GT2005Clustering().

int GT2005Clustering::vhlong`[private]`

| Definition at line 19 of file GT2005Clustering.h. Referenced by Cluster1(), and GT2005Clustering().

int GT2005Clustering::yshort`[private]`

| Definition at line 22 of file GT2005Clustering.h. Referenced by Cluster1(), and GT2005Clustering().

int GT2005Clustering::ymiddle`[private]`

| Definition at line 23 of file GT2005Clustering.h. Referenced by Cluster1(), and GT2005Clustering().

int GT2005Clustering::ylong`[private]`

| Definition at line 24 of file GT2005Clustering.h. Referenced by Cluster1(), and GT2005Clustering().

int GT2005Clustering::hv`[private]`

| Definition at line 28 of file GT2005Clustering.h. Referenced by Cluster1(), and GT2005Clustering().

int GT2005Clustering::vh`[private]`

| Definition at line 31 of file GT2005Clustering.h. Referenced by Cluster1(), and GT2005Clustering().

int GT2005Clustering::lImage`[private]`

| Definition at line 35 of file GT2005Clustering.h. Referenced by GT2005Clustering().

int GT2005Clustering::hImage`[private]`

| Definition at line 37 of file GT2005Clustering.h. Referenced by GT2005Clustering().

GT2005Clusterliste GT2005Clustering::cl`[private]`

| Definition at line 41 of file GT2005Clustering.h. Referenced by addLine(), Cluster1(), clusterFinal(), getClusterX(), getClusterY(), getMidpoint(), getMidpointX(), getMidpointY(), getSize(), GT2005Clustering(), markH(), markV(), prepH(), prepV(), and reset().

double GT2005Clustering::xmin`[private]`

| Definition at line 44 of file GT2005Clustering.h.

double GT2005Clustering::xmax`[private]`

| Definition at line 44 of file GT2005Clustering.h.

double GT2005Clustering::ymin`[private]`

| Definition at line 44 of file GT2005Clustering.h.

double GT2005Clustering::ymax`[private]`

| Definition at line 44 of file GT2005Clustering.h.

bool GT2005Clustering::vertical`[private]`

| Definition at line 48 of file GT2005Clustering.h. Referenced by addLine().

double GT2005Clustering::distance`[private]`

| Definition at line 51 of file GT2005Clustering.h.

std::list<std::list<GT2005Cluster>::iterator>::iterator GT2005Clustering::cfirst`[private]`

| Definition at line 54 of file GT2005Clustering.h. Referenced by clusterFinal(), markH(), and markV().

std::list<std::list<GT2005Cluster>::iterator>::iterator GT2005Clustering::clast`[private]`

| Definition at line 55 of file GT2005Clustering.h. Referenced by clusterFinal(), markH(), and markV().

std::list<std::list<GT2005Cluster>::iterator>::iterator GT2005Clustering::cinput`[private]`

| Definition at line 56 of file GT2005Clustering.h. Referenced by clusterFinal(), markH(), and markV().

std::list<GT2005Cluster>::iterator GT2005Clustering::cIter`[private]`

| Definition at line 59 of file GT2005Clustering.h. Referenced by Cluster1(), clusterFinal(), getClusterX(), getClusterY(), getMidpointX(), getMidpointY(), markH(), markV(), prepH(), and prepV().

std::list<GT2005Cluster>::iterator GT2005Clustering::cIter2`[private]`

| Definition at line 60 of file GT2005Clustering.h.

std::list<std::list<GT2005Cluster>::iterator>::iterator GT2005Clustering::vhIter`[private]`

| Definition at line 63 of file GT2005Clustering.h. Referenced by addLine(), Cluster1(), clusterFinal(), getClusterX(), getClusterY(), getMidpointX(), getMidpointY(), markH(), markV(), prepH(), and prepV().

std::list<std::list<GT2005Cluster>::iterator>::iterator GT2005Clustering::vhIter2`[private]`

| Definition at line 64 of file GT2005Clustering.h. Referenced by Cluster1(), markH(), markV(), prepH(), and prepV().

std::list<Vector2<double> > GT2005Clustering::hlist`[private]`

| Definition at line 90 of file GT2005Clustering.h. Referenced by getMidpoint(), and getSize().

std::list<Vector2<double> >::iterator GT2005Clustering::hiterator`[private]`

| Definition at line 93 of file GT2005Clustering.h. Referenced by getMidpoint().

The documentation for this class was generated from the following files:

- Modules/ImageProcessor/GT2005ImageProcessor/GT2005Clustering.h
- Modules/ImageProcessor/GT2005ImageProcessor/GT2005Clustering.cpp